| OpenGL-2.2.3.0: A binding for the OpenGL graphics system | Contents | Index

Graphics.Rendering.OpenGL.GLU.NURBS

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Description
This module corresponds to chapter 7 (NURBS) of the GLU specs.
Documentation
data NURBSObj
withNURBSObj :: a -> (NURBSObj -> IO a) -> IO a
type NURBSBeginCallback = PrimitiveMode -> IO ()
withNURBSBeginCallback :: NURBSObj -> NURBSBeginCallback -> IO a -> IO a
type NURBSVertexCallback = Vertex3 GLfloat -> IO ()
withNURBSVertexCallback :: NURBSObj -> NURBSVertexCallback -> IO a -> IO a
type NURBSNormalCallback = Normal3 GLfloat -> IO ()
withNURBSNormalCallback :: NURBSObj -> NURBSNormalCallback -> IO a -> IO a
type NURBSColorCallback = Color4 GLfloat -> IO ()
withNURBSColorCallback :: NURBSObj -> NURBSColorCallback -> IO a -> IO a
type NURBSEndCallback = IO ()
withNURBSEndCallback :: NURBSObj -> NURBSEndCallback -> IO a -> IO a
checkForNURBSError :: NURBSObj -> IO a -> IO a
nurbsBeginEndCurve :: NURBSObj -> IO a -> IO a
nurbsCurve :: ControlPoint c => NURBSObj -> GLint -> Ptr GLfloat -> GLint -> Ptr (c GLfloat) -> GLint -> IO ()
nurbsBeginEndSurface :: NURBSObj -> IO a -> IO a
nurbsSurface :: ControlPoint c => NURBSObj -> GLint -> Ptr GLfloat -> GLint -> Ptr GLfloat -> GLint -> GLint -> Ptr (c GLfloat) -> GLint -> GLint -> IO ()
class TrimmingPoint p

Instances

TrimmingPoint Vertex3 |
TrimmingPoint Vertex2 |

nurbsBeginEndTrim :: NURBSObj -> IO a -> IO a
pwlCurve :: TrimmingPoint p => NURBSObj -> GLint -> Ptr (p GLfloat) -> GLint -> IO ()
trimmingCurve :: TrimmingPoint c => NURBSObj -> GLint -> Ptr GLfloat -> GLint -> Ptr (c GLfloat) -> GLint -> IO ()
data NURBSMode

Constructors

NURBSTessellator |
NURBSRenderer |

Instances

Eq NURBSMode |
Ord NURBSMode |
Show NURBSMode |

setNURBSMode :: NURBSObj -> NURBSMode -> IO ()
setNURBSCulling :: NURBSObj -> Capability -> IO ()
data SamplingMethod

Constructors

PathLength GLfloat |
ParametricError GLfloat |
DomainDistance GLfloat GLfloat |
ObjectPathLength GLfloat |
ObjectParametricError GLfloat |

Instances

Eq SamplingMethod |
Ord SamplingMethod |
Show SamplingMethod |

setSamplingMethod :: NURBSObj -> SamplingMethod -> IO ()
loadSamplingMatrices :: (Matrix m1, Matrix m2) => NURBSObj -> Maybe (m1 GLfloat, m2 GLfloat, (Position, Size)) -> IO ()
data DisplayMode'

Constructors

Fill' |
OutlinePolygon |
OutlinePatch |

Instances

Eq DisplayMode' |
Ord DisplayMode' |
Show DisplayMode' |

setDisplayMode' :: NURBSObj -> DisplayMode' -> IO ()
Produced by Haddock version 2.7.2